#!/usr/bin/perl
use strict;
use Test;
use Dict::DecimalDict;

BEGIN { plan tests => 8 }

my $d = Dict::DecimalDict->new(MAXLENFRAC=>2, REJECTLONG=>1);
ok(ref $d, 'Dict::DecimalDict');
ok($d->lemms('123.5678'), 123.5678);
ok($d->is_stoplexem('123.5678'), 1);
ok($d->is_stoplexem('123.56'), 0);
$d = Dict::DecimalDict->new(MAXLENFRAC=>2, REJECTLONG=>0);
ok(ref $d, 'Dict::DecimalDict');
ok($d->lemms('123.5678'), 123.56);
ok($d->lemms('123.56'), 123.56);
ok($d->is_stoplexem('123.5678'), 0);

